Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.memcontext.in/api/api-keys \ --header 'Content-Type: application/json' \ --cookie better-auth.session_token= \ --data ' { "name": "<string>" } '
const options = { method: 'POST', headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>'})};fetch('https://api.memcontext.in/api/api-keys', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://api.memcontext.in/api/api-keys"payload = { "name": "<string>" }headers = { "cookie": "better-auth.session_token=", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "keyPrefix": "<string>", "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "key": "<string>", "createdAt": "2023-11-07T05:31:56Z" }
Dashboard session cookie used for workspace/company endpoints.
1 - 100
Workspace to bind the key to. Defaults to the user's default workspace.
API key created. The raw key is only returned once.
Raw API key. It is only returned once.